Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps.actions
Class WsdlMessageAssertionSoapUIActionGroup

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup<T>
          com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup<WsdlMessageAssertion>
              com.eviware.soapui.impl.wsdl.teststeps.actions.WsdlMessageAssertionSoapUIActionGroup

All Implemented Interfaces:
  SoapUIActionGroup<WsdlMessageAssertion>

    public class WsdlMessageAssertionSoapUIActionGroup

extends DefaultSoapUIActionGroup<WsdlMessageAssertion>

SoapUIActionGroup for a WsdlMessageAssertion

Author:
  ole.matzura

Field Summary

Fields inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup
`id, name`

Constructor Summary
`WsdlMessageAssertionSoapUIActionGroup(java.lang.String id, java.lang.String name)`

Method Summary
`java.util.List<SoapUIActionMapping<WsdlMessageAssertion>>` | `getActionMappings(WsdlMessageAssertion modelItem)`

Methods inherited from class com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup
`addMapping, addMapping, getMappingIndex`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup
`getId, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlMessageAssertionSoapUIActionGroup

    public WsdlMessageAssertionSoapUIActionGroup(java.lang.String id,
                                                 java.lang.String name)

Method Detail

### getActionMappings

    public java.util.List<SoapUIActionMapping<WsdlMessageAssertion>> getActionMappings(WsdlMessageAssertion modelItem)

  Specified by:
    `getActionMappings` in interface `SoapUIActionGroup<WsdlMessageAssertion>`
  Overrides:
    `getActionMappings` in class `DefaultSoapUIActionGroup<WsdlMessageAssertion>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.